# Interface Assertion

All Known Implementing Classes:
  `BeanShellAssertion, BSFAssertion, CompareAssertion, DurationAssertion, HTMLAssertion, JSR223Assertion, MD5HexAssertion, ResponseAssertion, SizeAssertion, SMIMEAssertionTestElement, XMLAssertion, XMLSchemaAssertion, XPathAssertion`

public interface Assertion
An Assertion checks a SampleResult to determine whether or not it is successful. The resulting success status can be obtained from a corresponding Assertion Result. For example, if a web response doesn't contain an expected expression, it would be considered a failure.

Version:
  $Revision: 674351 $

## Method Summary

Modifier and Type
Method
Description
`AssertionResult`
`getResult(SampleResult response)`
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

## Method Details

### getResult

AssertionResult getResult(SampleResult response)
Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.